%define upstream_name    IPTables-Parse
%define upstream_version 1.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl extension for parsing iptables and ip6tables policies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPTables/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The 'IPTables::Parse' package provides an interface to parse iptables or
ip6tables rules on Linux systems through the direct execution of
iptables/ip6tables commands, or from parsing a file that contains an
iptables/ip6tables policy listing. You can get the current policy applied
to a table/chain, look for a specific user-defined chain, check for a
default DROP policy, or determining whether or not logging rules exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README VERSION
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.600.0-5.mga9
+ Revision: 1804151
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.600.0-4.mga8
+ Revision: 1495207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.600.0-3.mga7
+ Revision: 1268848
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 1.600.0-1.mga6
+ Revision: 903255
- new release

* Mon Sep 28 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 884659
- update to 1.5

* Tue Jun 30 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 848635
- update to 1.4

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 742462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 685111
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 612850
- imported package perl-IPTables-Parse


* Tue Apr 08 2014 cpan2dist 1.1-1mga
- initial mageia release, generated with cpan2dist
